## cyme 2.1.2+dfsg

=== Makefile ===
PROJECT_NAME := $(shell grep -m 1 name Cargo.toml | cut -d '"' -f 2)
RELEASE_BIN := $(CARGO_TARGET_DIR)/release/$(PROJECT_NAME)
VERSION := $(shell cargo metadata --no-deps --format-version 1 | jq -r '.packages[0].version')

RSRCS += $(wildcard src/*.rs src/**/*.rs)
CARGO_TARGET_DIR ?= target
DOCS = doc/_$(PROJECT_NAME) doc/$(PROJECT_NAME).1 doc/$(PROJECT_NAME).bash doc/cyme_example_config.json

OS := $(shell uname)

ifeq ($(OS), Darwin)
	PREFIX ?= /usr/local
else
	PREFIX ?= /usr
endif
BIN_PATH ?= $(PREFIX)/bin
BASH_COMPLETION_PATH ?= $(PREFIX)/share/bash-completion/completions
ZSH_COMPLETION_PATH ?= $(PREFIX)/share/zsh/site-functions
MAN_PAGE_PATH ?= $(PREFIX)/share/man/man1

.PHONY: release install generated enter_version new_version

release: $(RELEASE_BIN)

install: release
	@echo "Installing $(PROJECT_NAME) $(VERSION)"
	install -Dm755 "$(RELEASE_BIN)" "$(DESTDIR)$(BIN_PATH)/$(PROJECT_NAME)"
	install -Dm644 ./doc/$(PROJECT_NAME).1 "$(DESTDIR)$(MAN_PAGE_PATH)/$(PROJECT_NAME).1"
	@if [ -d "$(DESTDIR)$(BASH_COMPLETION_PATH)" ]; then \
		install -vDm0644 ./doc/$(PROJECT_NAME).bash "$(DESTDIR)$(BASH_COMPLETION_PATH)/$(PROJECT_NAME).bash"; \
	fi
	@if [ -d "$(DESTDIR)$(ZSH_COMPLETION_PATH)" ]; then \
		install -vDm0644 ./doc/_$(PROJECT_NAME) "$(DESTDIR)$(ZSH_COMPLETION_PATH)/_$(PROJECT_NAME)"; \
	fi

generated: $(DOCS)

enter_version:
	@echo "Current version: $(VERSION)"
	@echo "Enter new version: "
	@read new_version; \
	sed -i "s/^version = .*/version = \"$$new_version\"/" Cargo.toml
	# update because Cargo.lock references self for tests
	cargo update

new_version: enter_version generated

$(RELEASE_BIN): Cargo.lock $(RSRCS)
	@echo "Building version $(PROJECT_NAME) $(VERSION)"
	cargo build --locked --release

$(DOCS): Cargo.toml $(RSRCS)
	@echo "Generating docs for $(PROJECT_NAME) $(VERSION)"
	cargo run -F=cli_generate -- --gen

## cyme 2.1.1+dfsg

=== debian/changelog ===
cyme (2.1.1+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    build-depend on udev and packages for crates nusb udevrs;
    bump build-dependencies for crates terminal_size unicode-width

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jan 2025 23:58:52 +0100

cyme (2.0.0+dfsg-1) unstable; urgency=medium

  * initial release;
    closes: bug#1085871

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:17:24 +0200

=== debian/control ===
Source: cyme
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librust-assert-json-diff-2+default-dev <!nocheck>,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev,
 librust-clap-mangen-0.2+default-dev,
 librust-colored-2+default-dev,
 librust-diff-0.1+default-dev <!nocheck>,
 librust-dirs-5+default-dev,
 librust-heck-0.4+default-dev,
 librust-itertools-0.13+default-dev,
 librust-lazy-static-1+default-dev,
 librust-log-0.4+default-dev,
 librust-phf-0.11-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-rusb-0.9+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-with-3+default-dev,
 librust-simple-logger-5+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev,
 librust-terminal-size-0.4+default-dev,
 librust-udev-0.9+default-dev,
 librust-udevrs-0.3+default-dev,
 librust-unicode-width-0.2+default-dev,
 librust-usb-ids-1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 udev <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/tuna-f1sh/cyme
Vcs-Git: https://salsa.debian.org/debian/cyme.git
Vcs-Browser: https://salsa.debian.org/debian/cyme
Rules-Requires-Root: no

Package: cyme
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for listing system USB buses and devices
 cyme is a command-line tool
 to list system USB buses and devices.
 It attempts to maintain compatibility with lsusb,
 but with improved visual aid
 that make glancing through the data easier.
 .
 The name comes from the technical term
 for the type of blossom on a Apple tree: cyme -
 it is Apple related and also looks like a USB device tree.

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://github.com/tuna-f1sh/cyme/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## cyme 2.1.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,11 @@
  librust-colored-2+default-dev,
  librust-diff-0.1+default-dev <!nocheck>,
  librust-dirs-5+default-dev,
+ librust-fastrand-2+default-dev,
  librust-heck-0.4+default-dev,
  librust-itertools-0.13+default-dev,
- librust-lazy-static-1+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
- librust-rand-0.8+default-dev,
  librust-regex-1+default-dev,
  librust-rusb-0.9+default-dev,
  librust-serde-1+default-dev,
@@ -29,11 +28,12 @@
  librust-serde-json-1+default-dev,
  librust-serde-with-3+default-dev,
  librust-simple-logger-5+default-dev,
+ librust-simple-logger-5+stderr-dev,
  librust-strum-0.26+default-dev,
  librust-strum-macros-0.26+default-dev,
  librust-terminal-size-0.4+default-dev,
  librust-udev-0.9+default-dev,
- librust-udevrs-0.3+default-dev,
+ librust-udevrs-dev (<< 0.5),
  librust-unicode-width-0.2+default-dev,
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,

## cyme 2.1.2+dfsg

=== debian/changelog ===
cyme (2.1.2+dfsg-2) unstable; urgency=medium

  * update DEP-3 headers for patch 2002_udevrs
  * add patch 2006_no_hardcode_defaults
    to avoid hardcoding default options interfering with debhelper;
    thanks to Matthias Geiger (see bug#1101077)
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:44:00 +0100

cyme (2.1.2+dfsg-1) unstable; urgency=medium

  * update and unfuzz patches
  * build-depend on package for crate fastrand (not lazy_static rand);
    tighten build-dependencies for crate simple_logger;
    relax build-dependency for crate udevrs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 08:30:24 +0100

cyme (2.1.1+dfsg-2) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 03:00:28 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme

## cyme 2.2.0+dfsg

=== debian/changelog ===
cyme (2.2.0+dfsg-2) unstable; urgency=medium

  * fix declare crate-related build-dependencies unconditionally
    (drop <\!nocheck> hint);
    closes: bug#1105134, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 May 2025 22:29:34 +0200

cyme (2.2.0+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on packages for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 01:02:34 +0200

cyme (2.1.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Apr 2025 14:48:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
  dh-sequence-rust,
- librust-assert-json-diff-2+default-dev <!nocheck>,
+ librust-assert-json-diff-2+default-dev,
+ librust-chrono-0.4+default-dev,
+ librust-chrono-0.4+serde-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
  librust-colored-2+default-dev,
- librust-diff-0.1+default-dev <!nocheck>,
+ librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
  librust-heck-0.4+default-dev,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
uversionmangle=s/\d\K-([a-z]+)\.?(\d)?/~$1$2/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
downloadurlmangle=s!api.github.com/repos/[^/]+/[^/]+/\Kgit/!tarball/!g,\
searchmode=plain,\
dversionmangle=auto \
https://api.github.com/repos/tuna-f1sh/cyme/git/matching-refs/tags/ \
https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## cyme 2.2.2+dfsg

=== debian/changelog ===
cyme (2.2.2+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2025 14:44:09 +0200

## cyme 2.2.4+dfsg

=== debian/changelog ===
cyme (2.2.4+dfsg-4) unstable; urgency=medium

  * relax build-dependency for crate colored

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Sep 2025 00:17:15 +0200

cyme (2.2.4+dfsg-3) unstable; urgency=medium

  * build-depend on libstd-rust-dev;
    closes: bug#1106097, thanks to Helmut Grohne
  * update watch file: use file format 5

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 14:11:17 +0200

cyme (2.2.4+dfsg-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 10:42:56 +0200

cyme (2.2.4+dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 13:29:48 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
- librust-colored-2+default-dev,
+ librust-colored-dev (<< 4),
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
@@ -40,6 +40,7 @@
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
+ libstd-rust-dev,
  udev <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/tuna-f1sh/cyme

## cyme 2.2.5+dfsg

=== debian/changelog ===
cyme (2.2.5+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 16:09:17 +0200

## cyme 2.2.6+dfsg

=== debian/changelog ===
cyme (2.2.6+dfsg-2) unstable; urgency=medium

  * drop patch 2001_colored,
    obsoleted by Debian packaging changes;
    tighten (build-)dependency for crate colored
  * add patch 1001_crossterm
    to accept newer minor version of crate heck;
    relax build-dependency for crate heck;
    closes: bug#1117140, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 11:10:10 +0200

cyme (2.2.6+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Sep 2025 00:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
  librust-clap-mangen-0.2+default-dev,
- librust-colored-dev (<< 4),
+ librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
- librust-heck-0.4+default-dev,
+ librust-heck-dev (<< 0.6),
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,

## cyme 2.2.7+dfsg

=== Makefile ===
PROJECT_NAME := $(shell cargo metadata --no-deps --format-version 1 | jq -r '.packages[0].name')
VERSION := $(shell cargo metadata --no-deps --format-version 1 | jq -r '.packages[0].version')
OS := $(shell uname)

RSRCS += $(wildcard src/*.rs) $(wildcard src/**/*.rs)
AUTOCOMPLETES = doc/_$(PROJECT_NAME) doc/$(PROJECT_NAME).bash doc/$(PROJECT_NAME).fish doc/_$(PROJECT_NAME).ps1
DOCS = $(AUTOCOMPLETES) doc/$(PROJECT_NAME).1  doc/cyme_example_config.json

# ?= allows overriding from command line with 'cross'
CARGO_CMD ?= cargo
CARGO_TARGET_DIR ?= target
PACKAGE_DIR ?= $(CARGO_TARGET_DIR)/packages
CARGO_FLAGS += --locked

ifeq ($(TARGET),)
	PACKAGE_BASE := $(PROJECT_NAME)-v$(VERSION)-$(OS)
	TARGET_DIR := $(CARGO_TARGET_DIR)
else
	PACKAGE_BASE := $(PROJECT_NAME)-v$(VERSION)-$(TARGET)
	TARGET_DIR := $(CARGO_TARGET_DIR)/$(TARGET)
ifneq ($(TARGET),universal-apple-darwin)
	CARGO_FLAGS += --target $(TARGET)
endif
endif
RELEASE_BIN := $(TARGET_DIR)/release/$(PROJECT_NAME)

ifeq ($(findstring windows,$(TARGET)),windows)
	ARCHIVE_EXT := zip
else
	ARCHIVE_EXT := tar.gz
endif
ARCHIVE := $(PACKAGE_DIR)/$(PACKAGE_BASE).$(ARCHIVE_EXT)

ifeq ($(OS), Darwin)
	PREFIX ?= /usr/local
else
	PREFIX ?= /usr
endif

BIN_PATH ?= $(PREFIX)/bin
BASH_COMPLETION_PATH ?= $(PREFIX)/share/bash-completion/completions
ZSH_COMPLETION_PATH ?= $(PREFIX)/share/zsh/site-functions
MAN_PAGE_PATH ?= $(PREFIX)/share/man/man1

.PHONY: release install clean generated docs gen enter_version new_version release_version test package dpkg

release: $(RELEASE_BIN)
	@echo "$(RELEASE_BIN)"

install: release
	@echo "Installing $(PROJECT_NAME) $(VERSION)"
	install -Dm755 "$(RELEASE_BIN)" "$(DESTDIR)$(BIN_PATH)/$(PROJECT_NAME)"
	install -Dm644 ./doc/$(PROJECT_NAME).1 "$(DESTDIR)$(MAN_PAGE_PATH)/$(PROJECT_NAME).1"
	@if [ -d "$(DESTDIR)$(BASH_COMPLETION_PATH)" ]; then \
		install -vDm0644 ./doc/$(PROJECT_NAME).bash "$(DESTDIR)$(BASH_COMPLETION_PATH)/$(PROJECT_NAME).bash"; \
	fi
	@if [ -d "$(DESTDIR)$(ZSH_COMPLETION_PATH)" ]; then \
		install -vDm0644 ./doc/_$(PROJECT_NAME) "$(DESTDIR)$(ZSH_COMPLETION_PATH)/_$(PROJECT_NAME)"; \
	fi

clean:
	$(CARGO_CMD) clean

generated: $(DOCS)
# I'm lazy to remember what I called it!
docs: $(DOCS)
gen: $(DOCS)

enter_version:
	@echo "Current version: $(VERSION)"
	@echo "Enter new version: "
	@read new_version; \
	sed -i "s/^version = .*/version = \"$$new_version\"/" Cargo.toml
	# update because Cargo.lock references self for tests
	$(CARGO_CMD) update

new_version: test enter_version gen

release_version:
	@exec scripts/release_version.sh

test:
	$(CARGO_CMD) test $(CARGO_FLAGS) $(CARGO_TEST_FLAGS)
	# test with libusb profiler
	$(CARGO_CMD) test $(CARGO_FLAGS) $(CARGO_TEST_FLAGS) --no-default-features -F=ffi

package: $(ARCHIVE)
	@echo "$(ARCHIVE)"

dpkg: $(RELEASE_BIN)
ifeq ($(TARGET),)
	cargo deb --no-strip --no-build
else
	cargo deb --target $(TARGET) --no-strip --no-build
endif

$(DOCS): Cargo.toml $(RSRCS)
	@echo "Generating docs for $(PROJECT_NAME) $(VERSION)"
	$(CARGO_CMD) run $(CARGO_FLAGS) -F=cli_generate -- --gen

$(RELEASE_BIN): Cargo.lock $(RSRCS)
ifeq ($(TARGET),universal-apple-darwin)
	cargo build --target aarch64-apple-darwin $(CARGO_FLAGS) --release
	cargo build --target x86_64-apple-darwin $(CARGO_FLAGS) --release
	mkdir -p $(shell dirname $(RELEASE_BIN))
	lipo -create -output $(RELEASE_BIN) \
	  $(CARGO_TARGET_DIR)/aarch64-apple-darwin/release/$(PROJECT_NAME) \
	  $(CARGO_TARGET_DIR)/x86_64-apple-darwin/release/$(PROJECT_NAME)
else
	$(CARGO_CMD) build $(CARGO_FLAGS) --release
endif

$(ARCHIVE): $(RELEASE_BIN) README.md LICENSE CHANGELOG.md $(DOCS)
	mkdir -p $(PACKAGE_DIR)/$(PACKAGE_BASE)
	cp $(RELEASE_BIN) $(PACKAGE_DIR)/$(PACKAGE_BASE)/
	cp README.md LICENSE CHANGELOG.md $(PACKAGE_DIR)/$(PACKAGE_BASE)/
	cp 'doc/$(PROJECT_NAME).1' $(PACKAGE_DIR)/$(PACKAGE_BASE)/
	mkdir -p $(PACKAGE_DIR)/$(PACKAGE_BASE)/autocomplete
	cp $(AUTOCOMPLETES) $(PACKAGE_DIR)/$(PACKAGE_BASE)/autocomplete/
ifeq ($(ARCHIVE_EXT),zip)
	cd $(PACKAGE_DIR) && 7z -y a $(PACKAGE_BASE).zip $(PACKAGE_BASE)
else
	cd $(PACKAGE_DIR) && tar czf $(PACKAGE_BASE).tar.gz $(PACKAGE_BASE)
endif
	rm -rf $(PACKAGE_DIR)/$(PACKAGE_BASE)

%.deb:
ifeq ($(TARGET),)
	cargo deb --no-strip --no-build --output $@
else
	cargo deb --target $(TARGET) --no-strip --no-build --output $@
endif

=== debian/changelog ===
cyme (2.2.7+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency for crate heck
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Oct 2025 14:25:16 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  librust-diff-0.1+default-dev,
  librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
- librust-heck-dev (<< 0.6),
+ librust-heck-0.5+default-dev,
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: tuna-f1sh
Project: cyme
Dversion-Mangle: auto
Repacksuffix: +dfsg

## cyme 2.2.8%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyme
 Section: rust
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -17,8 +16,9 @@
  librust-clap-mangen-0.2+default-dev,
  librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
- librust-dirs-5+default-dev,
+ librust-dirs-dev (<< 7),
  librust-fastrand-2+default-dev,
+ librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
  librust-itertools-0.13+default-dev,
  librust-log-0.4+default-dev,
@@ -35,18 +35,17 @@
  librust-strum-macros-0.26+default-dev,
  librust-terminal-size-0.4+default-dev,
  librust-udev-0.9+default-dev,
- librust-udevrs-dev (<< 0.5),
+ librust-udevrs-0.4+default-dev,
  librust-unicode-width-0.2+default-dev,
  librust-usb-ids-1+default-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  libstd-rust-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
-Rules-Requires-Root: no
 
 Package: cyme
 Section: utils

## cyme 2.2.8+dfsg

=== debian/changelog ===
cyme (2.2.8+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_udevrs,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate udevrs
  * update DEP-3 patch headers
  * build-depend on package for crate glob
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 11:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cyme
 Section: rust
+Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -16,7 +17,7 @@
  librust-clap-mangen-0.2+default-dev,
  librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
- librust-dirs-dev (<< 7),
+ librust-dirs-5+default-dev,
  librust-fastrand-2+default-dev,
  librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
@@ -42,10 +43,11 @@
  librust-uuid-1+serde-dev,
  libstd-rust-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
+Rules-Requires-Root: no
 
 Package: cyme
 Section: utils

## cyme 2.2.9+dfsg

=== debian/changelog ===
cyme (2.2.9+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 2002_dirs,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate dirs
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 15:54:50 +0100

cyme (2.2.8+dfsg-2) unstable; urgency=medium

  * relax build-dependency for crate dirs;
    closes: bug#1123881, thanks to Peter Michael Green
  * stop set superfluous fields Rules-Requires-Root Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Dec 2025 15:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cyme
 Section: rust
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  cmark-gfm <!nodoc>,
@@ -17,7 +16,7 @@
  librust-clap-mangen-0.2+default-dev,
  librust-colored-3+default-dev,
  librust-diff-0.1+default-dev,
- librust-dirs-5+default-dev,
+ librust-dirs-6+default-dev,
  librust-fastrand-2+default-dev,
  librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
@@ -43,11 +42,10 @@
  librust-uuid-1+serde-dev,
  libstd-rust-dev,
  udev <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tuna-f1sh/cyme
 Vcs-Git: https://salsa.debian.org/debian/cyme.git
 Vcs-Browser: https://salsa.debian.org/debian/cyme
-Rules-Requires-Root: no
 
 Package: cyme
 Section: utils

## cyme 2.2.10%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  librust-fastrand-2+default-dev,
  librust-glob-0.3+default-dev,
  librust-heck-0.5+default-dev,
- librust-itertools-0.13+default-dev,
+ librust-itertools-dev (<< 0.15),
  librust-log-0.4+default-dev,
  librust-phf-0.11-dev,
  librust-regex-1+default-dev,

## cyme 2.2.10+dfsg

=== debian/changelog ===
cyme (2.2.10+dfsg-2) unstable; urgency=medium

  * extend patch 1001_itertools to cover itertools v0.14;
    relax build-dependency for crate itertools;
    closes: bug#1126141, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 11:45:58 +0100

cyme (2.2.10+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update coverage
  * unfuzz patches
  * install completion snippet for fish shell

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jan 2026 09:45:49 +0100

## cyme 2.2.11+dfsg

=== debian/changelog ===
cyme (2.2.11+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update changelog
  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + auto-mangle upstream version
  * relax build-dependencies for all crates
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Feb 2026 20:08:01 +0100

=== debian/control ===
Source: cyme
Section: rust
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 librust-assert-json-diff-dev,
 librust-chrono-dev,
 librust-chrono-dev,
 librust-clap-dev,
 librust-clap-dev,
 librust-clap-dev,
 librust-clap-complete-dev,
 librust-clap-mangen-dev,
 librust-colored-dev,
 librust-diff-dev,
 librust-dirs-dev,
 librust-fastrand-dev,
 librust-glob-dev,
 librust-heck-dev,
 librust-itertools-dev,
 librust-log-dev,
 librust-phf-dev,
 librust-regex-dev,
 librust-rusb-dev,
 librust-serde-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-serde-with-dev,
 librust-simple-logger-dev,
 librust-simple-logger-dev,
 librust-strum-dev,
 librust-strum-macros-dev,
 librust-terminal-size-dev,
 librust-udev-dev,
 librust-udevrs-dev,
 librust-unicode-width-dev,
 librust-usb-ids-dev,
 librust-uuid-dev,
 librust-uuid-dev,
 libstd-rust-dev,
 udev <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/tuna-f1sh/cyme
Vcs-Git: https://salsa.debian.org/debian/cyme.git
Vcs-Browser: https://salsa.debian.org/debian/cyme

Package: cyme
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bash-completion,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: CLI tool for listing system USB buses and devices
 cyme is a command-line tool
 to list system USB buses and devices.
 It attempts to maintain compatibility with lsusb,
 but with improved visual aid
 that make glancing through the data easier.
 .
 The name comes from the technical term
 for the type of blossom on a Apple tree: cyme -
 it is Apple related and also looks like a USB device tree.

=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,6 @@
 Template: Github
 Owner: tuna-f1sh
 Project: cyme
+Uversion-Mangle: auto
 Dversion-Mangle: auto
 Repacksuffix: +dfsg
